Bug 1766287 - "hello-openshift" template application wrong binary format
Summary: "hello-openshift" template application wrong binary format
Keywords:
Status: ASSIGNED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.2.z
Hardware: s390x
OS: Linux
medium
high
Target Milestone: ---
: 4.7.0
Assignee: Cyril
QA Contact: Yadan Pei
URL:
Whiteboard: multi-arch
Depends On:
Blocks: OCP/Z_4.2
TreeView+ depends on / blocked
 
Reported: 2019-10-28 18:02 UTC by Cheryl A Fillekes
Modified: 2020-09-15 03:06 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-07 17:24:03 UTC
Target Upstream Version:


Attachments (Terms of Use)
exec format error in sample code (93.86 KB, image/png)
2019-10-28 18:02 UTC, Cheryl A Fillekes
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 25435 None closed Bug 1766287: Add CI Dockerfile for hello-openshift 2020-09-21 14:42:31 UTC

Description Cheryl A Fillekes 2019-10-28 18:02:02 UTC
Created attachment 1629882 [details]
exec format error in sample code

Description of problem:

Making an 'example' pod which uses the 'hello-openshift' image fails with 'exec format error'

How reproducible: easily


Steps to Reproduce:
1. from the Web Console, create a new workload in the default project with the example 'hello-openshift' application
2. build and run it
3.

Actual results:

runtime fails with 'exec format error'


Expected results:

the example pods run flawlessly


Additional info:

Comment 5 Alexander Klein 2020-03-06 08:14:18 UTC
since this is the first thing i would try as a new customer i think we should get the hello-openshift container built for z to not leave a bad first impression, shouldn't be too much effort.

Comment 6 Jeremy Poulin 2020-06-04 16:55:49 UTC
Is this fixed or blocked by the cluster-samples-operator enablement?

Comment 7 David Benoit 2020-06-04 17:04:58 UTC
Yes, I tested this manually (using a CVO override) with Yaakov's patches several months ago and I was able to run this sample.  I believe this is now only blocked by the general incompatibilities of s390x/ppc64le cluster-samples-operator with CI.

Comment 8 Douglas Slavens 2020-06-16 22:58:40 UTC
Assigning this to Jeremy since Renin is working on a fix.

Comment 9 W. Trevor King 2020-06-24 20:13:42 UTC
Bug was reported against 4.2.z, so we should leave that as it stands to show where the breakage starts.  Target Release tracks where we want the fix to land, so I'm setting that to 4.6.0.  Once the fix lands in master, this bug will get cloned back with Target Release pointing at previous z streams (depending on how far it seems appropriate to backport).  The '/cherrypick ...' GitHub/Prow bot will automatically create those backport bugs as needed.

Comment 10 Douglas Slavens 2020-07-07 17:24:03 UTC
Closing this bug as a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1835112.

*** This bug has been marked as a duplicate of bug 1835112 ***

Comment 11 Douglas Slavens 2020-07-07 19:32:54 UTC
reopening for tracking purposes. still assigned to Jeremy.

Comment 12 Jeremy Poulin 2020-07-13 19:37:36 UTC
Moving to ON_QA since this should be available for 4.6 samples, and is just a test effort.

Comment 13 Cheryl A Fillekes 2020-07-13 20:38:06 UTC
In OCP 4.5.0-0.nightly-s390x-2020-07-03-213659  on Z

from Administrator->Workloads->Pods->Create Pod

are offered the option of creating a "hello-openshift" sample workload with the yaml:

piVersion: v1
kind: Pod
metadata:
  name: example
  labels:
    app: hello-openshift
  namespace: check-samples
spec:
  containers:
    - name: hello-openshift
      image: openshift/hello-openshift
      ports:
        - containerPort: 8080


But hitting the "Create" button at the bottom results in a pod that goes into a CrashLoopBackoff state with:


standard_init_linux.go:210: exec user process caused "exec format error"

Comment 14 Yaakov Selkowitz 2020-07-13 21:05:11 UTC
I'm not quite sure why this would be related to cluster-samples.  As noted in comment 3, the image docker.io/openshift/hello-openshift is still only built for amd64, and was not manifest-listed, so this would be the expected result.  The only fix for this is for that image to be rebuilt multi-arch, either on docker.io or at some other location (in which case the image: value would have to be modified accordingly).

Comment 15 David Benoit 2020-07-13 21:25:26 UTC
Yeah, this is not related to cluster samples.  My apologies for any confusion my comment caused.  I had misunderstood and thought we were discussing one of these templates:

https://bugzilla.redhat.com/show_bug.cgi?id=1766364

Comment 18 Steve Kuznetsov 2020-08-20 19:07:59 UTC
DPTP does not publish this image.

Comment 19 Samuel Padgett 2020-08-20 20:46:55 UTC
Moving this to console. We can use a different image in the YAML samples.

Comment 22 Samuel Padgett 2020-09-10 18:50:27 UTC
We're working on adding this image to the release in 4.7 so it supports other architectures.


Note You need to log in before you can comment on or make changes to this bug.